Download it now!
Bug 78663 - FILESAVE: Corrupt: Frame and Word Art overlapp
Summary: FILESAVE: Corrupt: Frame and Word Art overlapp
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: high major
Assignee: Rajashri
URL:
Whiteboard: BSA target:4.3.0 target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-13 13:31 UTC by Rajashri
Modified: 2014-07-29 18:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
The optimized file ocnsisting of a Word Art overlapped on a Frame. The frame is visible when we delete the word Art (44.21 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-13 13:31 UTC, Rajashri
Details
File containing a word art inside a drawing tool (30.14 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-10 05:11 UTC, bisal.nayal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rajashri 2014-05-13 13:31:26 UTC
Created attachment 98979 [details]
The optimized file ocnsisting of a Word Art overlapped on a Frame. The frame is visible when we delete the word Art

Problem description: 
After doing the initial phase of analysis, we can say that the corruption occurs in document.xml

Steps to reproduce:
1. Open file in LibreOffice
2. Click File -> Save As (Microsoft word 2007/2010(.docx))
3. It saves as .docx
4. Open the same file again which got roundtripped.

Current behaviour:
The file should open properly after roundtrip.
Expected behaviour:
It gives a message "You cannot put drawing objects into a textbox, callout, comment, footnote or endnote".

              
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 Jorendc 2014-05-15 18:45:46 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: cc4a3f1a88afff114311bddf462ca4bc00a485c7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-05-12_09:05:53

Kind regards,
Joren
Comment 2 Commit Notification 2014-05-21 09:58:04 UTC
Rajashri committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b349d2483e1fe64316d87b55d0b3b4c8f2293e2e

fdo#78663 : Corrupt: 2007 WordArt whithin a Drawing tool



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 bisal.nayal 2014-07-10 05:11:55 UTC
Created attachment 102518 [details]
File containing a word art inside a drawing tool

This file is on the same line, a 2007 word art is inside a drawing tool , hence opening the issue.


Following are the build details.

Version: 4.4.0.0.alpha0+
Build ID: b023565d4f064cd0312e8c1fcc23a9f552112935
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-10_01:59:52
Comment 4 Commit Notification 2014-07-21 15:05:41 UTC
Bisal Nayal committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=245df9b4b37e3b1a6863aec5802346999bd71477

fdo#78663 : The File gets corrupted when saved in LO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jorendc 2014-07-29 18:14:20 UTC
(In reply to comment #4)
> Bisal Nayal committed a patch related to this issue.
> It has been pushed to "master":

I assume we can now close this as RESOLVED FIXED, and create other bug reports for other issues :-)?

Thanks for your work!
Joren